/******************************************************************************/
//    File Name     : Model3Param.java
//                            Java Applet source file
//    Name          : Yoshiyuki Tanaka
//                    (e-Mail : tanaka_y@jaist.ac.jp)
//    Class Name    :     1.Model3Param()
//    Coments       :
/******************************************************************************/

/******************************************************************************/
//                                  IMPORT
/******************************************************************************/
import java.awt.*;

/******************************************************************************/
//    Class Name    : Model3Param
/******************************************************************************/
public class Model3Param
{
    /***** VALUE DATA *****/
    protected static int    Ru     = 120;
    protected static int    Rv     = 0;
    protected static int    d      = 10;
    protected static int    m0     = 8;
    protected static int    m      = 100;
    protected static int    w1     = 5;
    protected static int    w2     = 2;
    protected static double p      = 0.0;

    protected static Color exccolor = new Color(60, 0, 0);
    protected static Color refcolor = new Color(200,200,200);
    protected static Color reccolor = new Color(240,240,240);

    /***** CONSTRUCTOR *****/
    Model3Param(){}


    /***** METHOD DATA *****/
    /**************************************************************************/
    //    Method Name   : set
    /**************************************************************************/
    public void setRu    (int   _Ru)    { this.Ru     = _Ru  ;}
    public void setRv    (int   _Rv)    { this.Rv     = _Rv  ;}
    public void setd     (int   _d)     { this.d      = _d   ;}
    public void setm     (int   _m)     { this.m      = _m   ;}
    public void setm0    (int   _m)     { this.m      = _m   ;}
    public void setw1    (int   _w1)    { this.w1     = _w1  ;}
    public void setw2    (int   _w2)    { this.w2     = _w2  ;}
    public void setp     (double _p)    { this.p      = _p   ;}

    /**************************************************************************/
    //    Method Name   : get
    /**************************************************************************/
    public int    getRu    (){ return this.Ru    ;}
    public int    getRv    (){ return this.Rv    ;}
    public int    getd     (){ return this.d     ;}
    public int    getm0    (){ return this.m     ;}
    public int    getm     (){ return this.m     ;}
    public int    getw1    (){ return this.w1    ;}
    public int    getw2    (){ return this.w2    ;}
    public double getp     (){ return this.p     ;}

    /**************************************************************************/
    //    Method Name   : getexccolor()
    //    Method Name   : getreccolor()
    //    Method Name   : getrefcolor()
    /**************************************************************************/
    public Color getexccolor(){ return this.exccolor ;}
    public Color getreccolor(){ return this.reccolor ;}
    public Color getrefcolor(){ return this.refcolor ;}

}


/**** END_of_file: Model3Param.java **************************************************/
